GLObjects File Reference
`#include <osg/Referenced>`
`#include <osg/GL>`
`#include <list>`
`#include <string>`

Go to the source code of this file.

## Classes

class | osg::GraphicsObject
class | osg::GraphicsObjectManager
class | osg::GLObjectManager

## Namespaces

namespace | osg

## Macros

#define | OSG_GLOBJECTS 1

## Functions

OSG_EXPORT void | osg::flushDeletedGLObjects (unsigned int contextID, double currentTime, double &availableTime)
OSG_EXPORT void | osg::flushAllDeletedGLObjects (unsigned int contextID)
OSG_EXPORT void | osg::deleteAllGLObjects (unsigned int contextID)
OSG_EXPORT void | osg::discardAllGLObjects (unsigned int contextID)

## Macro Definition Documentation

## OSG_GLOBJECTS

#define OSG_GLOBJECTS 1